# Get sellable inventory

This operation provides the total, aggregated inventory available to sell. This operation optionally accepts a list of warehouse codes to return sellable inventory totals for a specific subset of Wineshipping warehouses, otherwise all physical locations with sellable inventory are considered.This method is specifically designed to efficiently sync available inventory quantities with Commerce, pos or other order management systems for all skus. See the GetInventoryStatus for retrieving more detailed inventory information for an individual sku.

Endpoint: POST /api/Inventory/GetSellable
Version: 3.1.3

## Request fields (application/json):

  - `Authentication` (object)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `Warehouses` (array)

  - `OrderType` (string)

  - `OrderSource` (string)

  - `ItemNumbers` (array)

  - `Verbose` (boolean)

  - `IncludeUnavailableItems` (boolean)

  - `IncludeIncomingInventory` (boolean)

  - `IncludeLibraryInventory` (boolean)

  - `IncludeStorageInventory` (boolean)

  - `IncludeBundles` (boolean)

  - `PageNumber` (integer)

  - `PageSize` (integer)

## Request examples:

  - `Search By Item Numbers` (unknown)

  - `Search By Warehouse` (unknown)

  - `Include Incoming Inventory` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `TotalRecordCount` (integer)

  - `SalesChannel` (string)

  - `Items` (array)

  - `Items.ItemNo` (string)

  - `Items.ItemDescription` (string)

  - `Items.ItemUnit` (string)

  - `Items.SellableQuantity` (integer)

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

